Bug 732178 - remote control on Logitech Z-5 USB speakers doesn't work
Summary: remote control on Logitech Z-5 USB speakers doesn't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: usb first=2.6.38 tested=3.3.7
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-20 09:35 UTC by Teppo Turtiainen
Modified: 2012-08-05 19:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-05 19:03:47 UTC


Attachments (Terms of Use)

Description Teppo Turtiainen 2011-08-20 09:35:21 UTC
The remote control on Logitech Z-5 USB speakers doesn't work. When I plug in the speakers the following appears in /var/log/messages:

kernel: [ 8319.053338] usb 6-1: new full speed USB device number 3 using uhci_hcd
kernel: [ 8319.217824] usb 6-1: config index 0 descriptor too short (expected 233, got 217)
kernel: [ 8319.217837] usb 6-1: config 1 has an invalid descriptor of length 0, skipping remainder of the config
kernel: [ 8319.217846] usb 6-1: config 1 has 2 interfaces, different from the descriptor's value: 3
kernel: [ 8319.217864] usb 6-1: config 1 interface 1 altsetting 3 has 0 endpoint descriptors, different from the interface descriptor's value: 1
kernel: [ 8319.237828] usb 6-1: New USB device found, idVendor=046d, idProduct=0a13
kernel: [ 8319.237838] usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
kernel: [ 8319.237846] usb 6-1: Product: Logitech Z-5 Speakers
kernel: [ 8319.237851] usb 6-1: Manufacturer: Logitech
kernel: [ 8319.253617] ALSA sound/usb/mixer.c:794 1:0: cannot get min/max values for control 2 (id 1)

No input events appear when using xev. I've verified that the remote control is not broken. The remote control works on Ubuntu.

Comment 1 Teppo Turtiainen 2011-09-24 12:09:26 UTC
lsusb also displays an error on the speakers:

Bus 006 Device 002: ID 046d:0a13 Logitech, Inc. Z-5 Speakers
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x046d Logitech, Inc.
  idProduct          0x0a13 Z-5 Speakers
  bcdDevice            1.00
  iManufacturer           1 Logitech
  iProduct                2 Logitech Z-5 Speakers
  iSerial                 0 
  bNumConfigurations      1
Couldn't get configuration descriptor 0, some information will be missing
Couldn't get configuration descriptor 0, some information will be missing
Device Status:     0x0000
  (Bus Powered)

Comment 2 Teppo Turtiainen 2011-11-09 14:58:16 UTC
Still occurs with Fedora 16.

Comment 3 Teppo Turtiainen 2012-03-04 13:37:14 UTC
The error seems to come from here:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob_plain;f=drivers/usb/core/config.c;hb=HEAD

And particularly from this bit of code:

header = (struct usb_descriptor_header *) buffer2;
if ((header->bLength > size2) || (header->bLength < 2)) {
	dev_warn(ddev, "config %d has an invalid descriptor "
	    "of length %d, skipping remainder of the config\n",
	    cfgno, header->bLength);
	break;
}

Comment 4 Dave Jones 2012-03-22 16:41:21 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 5 Dave Jones 2012-03-22 16:46:08 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 6 Dave Jones 2012-03-22 16:55:23 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 7 Teppo Turtiainen 2012-03-23 05:59:19 UTC
Still occurs with kernel-3.3.0-4.fc16 on Fedora 16.

Comment 8 Teppo Turtiainen 2012-06-04 13:23:31 UTC
Still occurs with kernel-3.3.7-1.fc17 on Fedora 17.

Comment 9 Dave Jones 2012-06-18 22:13:21 UTC
is that device plugged into a hub ? if so, any difference plugging it directly ?

Comment 10 Teppo Turtiainen 2012-06-19 06:59:52 UTC
No, it's plugged directly into my laptop.

Comment 11 Teppo Turtiainen 2012-08-05 19:03:47 UTC
The remote started working again with update to kernel 3.5.


Note You need to log in before you can comment on or make changes to this bug.